Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.common.mx
Class JavaBeanModelMBeanBuilder

    java.lang.Object
      org.jboss.portal.common.mx.JavaBeanModelMBeanBuilder

    public class JavaBeanModelMBeanBuilder

extends java.lang.Object

Version:
  $Revision: 7452 $
Author:
  Julien Viet, Chris Laprun

Constructor Summary
`JavaBeanModelMBeanBuilder(java.lang.Class from, java.lang.Class to)`

Method Summary
`static javax.management.modelmbean.ModelMBeanInfo` | `build(java.lang.Class from, java.lang.Class to)`
`static javax.management.modelmbean.ModelMBeanInfo` | `build(java.lang.Object o)`
`javax.management.modelmbean.ModelMBeanInfo` | `getInfo()` Generates and returns the management interface.
`void` | `remove(java.lang.Class itf)` Remove an interface from the management interface.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaBeanModelMBeanBuilder

    public JavaBeanModelMBeanBuilder(java.lang.Class from,
                                     java.lang.Class to)
                              throws java.lang.Exception

Throws:
  `java.lang.Exception`

Method Detail

### remove

    public void remove(java.lang.Class itf)

  Remove an interface from the management interface.

### getInfo

    public javax.management.modelmbean.ModelMBeanInfo getInfo()

  Generates and returns the management interface.

### build

    public static javax.management.modelmbean.ModelMBeanInfo build(java.lang.Class from,
                                                                   java.lang.Class to)
                                                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### build

    public static javax.management.modelmbean.ModelMBeanInfo build(java.lang.Object o)
                                                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.